package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesSortShippingCheckModel;
import cn.estsh.i3plus.pojo.mes.bean.MesShippingOrderManagement;
import io.swagger.annotations.ApiOperation;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-04-26 15:37
 * @Modify:
 **/
public interface IMesSortShippingCheckService {

    @ApiOperation(value = "扫描发运单")
    public MesSortShippingCheckModel queryShippingOrderNo(MesShippingOrderManagement shippingOrderManagement);

    @ApiOperation(value = "保存条码")
    public MesSortShippingCheckModel saveSn(MesSortShippingCheckModel model, String org);

    @ApiOperation(value = "保存条码和位置码")
    public MesSortShippingCheckModel saveSnAndLocationCode(MesSortShippingCheckModel model, String org);

    @ApiOperation(value = "查询发运单-自动推单")
    public MesShippingOrderManagement queryShippingOrderNoByAutoPushOrder(String shippingGroupNo, String org);

}
