package cn.estsh.i3plus.ext.mes.pcn.pojo.context;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * 生产过程上下文对象-工位设备信息
 */
@Data
public class MesCellEquipContext {

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("腔数")
    private Integer cavity;

    @ApiParam("每腔装配件个数")
    private Integer bindQty;

    @ApiParam("顺序")
    private Integer seq;

    @ApiParam("设备ID")
    private Integer equipId;

    @ApiParam("设备代码")
    private String equipmentCode;

    @ApiParam("设备名称")
    private String equipmentName;

    @ApiParam("变量配置类型")
    private String variableCfgType;

    @ApiParam("是否控制byPass")
    private Integer ctrlByPass;

    @ApiParam("是否监控停机")
    private Integer monitorDown;

    @ApiParam("是否监控停机")
    private String monitorDownTime;

}
