package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesEquipmentLog;
import io.swagger.annotations.ApiOperation;

import java.util.ArrayList;
import java.util.List;

public interface IEquipmentLogExtService {

    @ApiOperation(value = "根据设备ID 查询设备ID分表所有采集数据")
    List<MesEquipmentLog> getEquipmentLogList(String organizeCode, Integer equipId);

    @ApiOperation(value = "根据设备ID,是否常变值状态,OPC注册ID集合 查询设备ID分表采集数据")
    List<MesEquipmentLog> getEquipmentLogList(String organizeCode, Integer equipId, Integer needNewValue, List<Integer> clientHandleList);

    @ApiOperation(value = "根据设备ID,OPC注册ID集合 修改设备ID分表采集数据的状态")
    void updateEquipmentLogList(String organizeCode, Integer equipId, List<Integer> clientHandleList);

}
